using Indotalent.Infrastructure.Email.Mailgun;
using Indotalent.Infrastructure.Email.Mailjet;
using Indotalent.Infrastructure.Email.SendGrid;
using Indotalent.Infrastructure.Email.Smtp;

namespace Indotalent.Infrastructure.Email;

public class EmailSettingsModel
{
    public SendGridSettingsModel SendGrid { get; set; } = new();
    public MailgunSettingsModel Mailgun { get; set; } = new();
    public MailjetSettingsModel Mailjet { get; set; } = new();
    public SmtpSettingsModel Smtp { get; set; } = new();
}
